libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Nutation

## Functions
void LIBNOVA_EXPORT | ln_get_nutation (double JD, struct ln_nutation *nutation)
| Calculate nutation. More...

## Detailed Description

Nutation is a period oscillation of the Earths rotational axis around it's mean position.

All angles are expressed in degrees.

## Function Documentation

void ln_get_nutation | ( | double | JD,
|  | struct ln_nutation * | nutation
| ) |  |

Calculate nutation.

Parameters

  JD | Julian Day.
  nutation | Pointer to store nutation

Calculate nutation of longitude and obliquity in degrees from Julian Ephemeris Day

References ln_nutation::ecliptic, ln_deg_to_rad(), ln_get_jde(), ln_nutation::longitude, and ln_nutation::obliquity.

Referenced by ln_get_apparent_sidereal_time(), ln_get_ecl_from_equ(), ln_get_equ_from_ecl(), ln_get_heliocentric_time_diff(), ln_get_solar_ecl_coords(), and ln_get_solar_equ_coords().